umbrello: JavaCodeGenerationPolicyPage Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Slots | Public Member Functions | Protected Attributes | List of all members
JavaCodeGenerationPolicyPage Class Reference

`#include <javacodegenerationpolicypage.h>`

Inheritance diagram for JavaCodeGenerationPolicyPage:

## Public Slots
void | apply ()
Public Slots inherited from CodeGenerationPolicyPage
virtual void | apply ()

## Public Member Functions
| JavaCodeGenerationPolicyPage (QWidget *parent=0, const char *name=0, JavaCodeGenerationPolicy *policy=0)
virtual | ~JavaCodeGenerationPolicyPage ()
Public Member Functions inherited from CodeGenerationPolicyPage
| CodeGenerationPolicyPage (QWidget *parent=0, const char *name=0, CodeGenPolicyExt *policy=0)
virtual | ~CodeGenerationPolicyPage ()
void | setDefaults ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Attributes
JavaCodeGenerationFormBase * | form
Protected Attributes inherited from CodeGenerationPolicyPage
CodeGenPolicyExt * | m_parentPolicy
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Constructor & Destructor Documentation

## ◆ JavaCodeGenerationPolicyPage()

JavaCodeGenerationPolicyPage::JavaCodeGenerationPolicyPage | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | JavaCodeGenerationPolicy * | policy = `0`
| ) |  |
| explicit

Todo:
  unclean - CreateANTBuildFile attribute should be in java policy CodeGenerator *codegen = UMLApp::app()->getGenerator(); JavaCodeGenerator *javacodegen = dynamic_cast<JavaCodeGenerator*>(codegen); if (javacodegen) form->m_makeANTDocumentCheckBox->setChecked(javacodegen->getCreateANTBuildFile());

## ◆ ~JavaCodeGenerationPolicyPage()

JavaCodeGenerationPolicyPage::~JavaCodeGenerationPolicyPage | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ apply

void JavaCodeGenerationPolicyPage::apply | ( |  | ) |
| slot

Todo:
  unclean - CreateANTBuildFile attribute should be in java policy CodeGenerator *codegen = UMLApp::app()->getGenerator(); JavaCodeGenerator *javacodegen = dynamic_cast<JavaCodeGenerator*>(codegen); if (javacodegen) javacodegen->setCreateANTBuildFile(form->m_makeANTDocumentCheckBox->isChecked());

## Member Data Documentation

## ◆ form

JavaCodeGenerationFormBase* JavaCodeGenerationPolicyPage::form
| protected

The documentation for this class was generated from the following files:

- umbrello/codegenerators/java/javacodegenerationpolicypage.h
- umbrello/codegenerators/java/javacodegenerationpolicypage.cpp